Bug 976388 - nova: 'state' for nova-manage service list output should not be :-) but an actual state
nova: 'state' for nova-manage service list output should not be :-) but an ac...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
unspecified
x86_64 Linux
low Severity low
: ---
: 5.0 (RHEL 7)
Assigned To: Bart van den Heuvel
Ami Jeain
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 09:22 EDT by Dafna Ron
Modified: 2015-06-04 17:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-07 16:46:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (810.92 KB, application/x-gzip)
2013-06-20 09:22 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2013-06-20 09:22:19 EDT
Created attachment 763469 [details]
logs

Description of problem:

when running 'nova-manage service list' the output will show a 'state' column and the state is: :-) 
this should be changed to an actual state. 

Version-Release number of selected component (if applicable):

openstack-nova-compute-2013.1.2-2.el6ost.noarch
openstack-nova-common-2013.1.2-2.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. run 'nova-manage service list'
2. 
3.

Actual results:

state is printed as :-) 

Expected results:

'state' should be changed to an actual state

Additional info: nova logs attached just in case needed 

Binary           Host                                 Zone             Status     State Updated_At
nova-cert        opens-vdsb.qa.lab.tlv.redhat.com     internal         enabled    :-)   2013-06-20 13:18:42
nova-scheduler   opens-vdsb.qa.lab.tlv.redhat.com     internal         enabled    :-)   2013-06-20 13:18:34
nova-conductor   opens-vdsb.qa.lab.tlv.redhat.com     internal         enabled    :-)   2013-06-20 13:18:37
nova-consoleauth opens-vdsb.qa.lab.tlv.redhat.com     internal         enabled    :-)   2013-06-20 13:18:34
nova-network     opens-vdsb.qa.lab.tlv.redhat.com     internal         enabled    :-)   2013-06-20 13:18:34
nova-compute     opens-vdsb.qa.lab.tlv.redhat.com     nova             enabled    :-)   2013-06-20 13:18:35
nova-compute     nott-vdsa.qa.lab.tlv.redhat.com      nova             enabled    :-)   2013-06-20 13:18:42

Note You need to log in before you can comment on or make changes to this bug.